Camera Manager Proxy
Total endpoints: 18
Example base URL: https://<ROBOT_IP>/rest
Required access for this section: USER
Some endpoints are optional and are available only when dependent services are configured.
Camera Manager Get Camera Calibration
- Endpoint:
/api/v2/vision-head/camera_manager/head/camera/calibration *(optional route)* - Function: No description provided.
- Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/camera/calibration" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/camera/calibration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Get Camera Config
- Endpoint:
/api/v2/vision-head/camera_manager/head/camera/config *(optional route)* - Function: No description provided.
- Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/camera/config" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/camera/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Get Camera Connected
- Endpoint:
/api/v2/vision-head/camera_manager/head/camera/connected *(optional route)* - Function: No description provided.
- Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/camera/connected" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/camera/connected"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Get Camera Info
- Endpoint:
/api/v2/vision-head/camera_manager/head/camera/info *(optional route)* - Function: No description provided.
- Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/camera/info" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/camera/info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Get Ir Emitter
- Endpoint:
/api/v2/vision-head/camera_manager/head/camera/ir_emitter *(optional route)* - Function: No description provided.
- Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/camera/ir_emitter" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/camera/ir_emitter"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Put Ir Emitter
- Endpoint:
/api/v2/vision-head/camera_manager/head/camera/ir_emitter *(optional route)* - Function: No description provided.
- Method:
PUT - Parameters:
active(query,bool)- Shell Command:
curl -X PUT "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/camera/ir_emitter?active=true" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/camera/ir_emitter"
headers = {"Authorization": "Bearer <token>"}
params = {'active': True}
response = requests.put(url, headers=headers, params=params, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Get Health
- Endpoint:
/api/v2/vision-head/camera_manager/head/health *(optional route)* - Function: No description provided.
- Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/health" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Get Mp4 Recording
- Endpoint:
/api/v2/vision-head/camera_manager/head/mp4/recording *(optional route)* - Function: No description provided.
- Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/recording" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/recording"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Delete Mp4 Recordings
- Endpoint:
/api/v2/vision-head/camera_manager/head/mp4/recordings *(optional route)* - Function: No description provided.
- Method:
DELETE - Parameters: none
- Shell Command:
curl -X DELETE "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/recordings" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/recordings"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Get Mp4 Recordings
- Endpoint:
/api/v2/vision-head/camera_manager/head/mp4/recordings *(optional route)* - Function: No description provided.
- Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/recordings" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/recordings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Get Mp4 Recording File
- Endpoint:
/api/v2/vision-head/camera_manager/head/mp4/recordings/file/{filename} *(optional route)* - Function: No description provided.
- Method:
GET - Parameters:
filename(path,str)- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/recordings/file/example.txt" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/recordings/file/example.txt"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Get Mp4 Recording Info
- Endpoint:
/api/v2/vision-head/camera_manager/head/mp4/recordings/info/{filename} *(optional route)* - Function: No description provided.
- Method:
GET - Parameters:
filename(path,str)- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/recordings/info/example.txt" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/recordings/info/example.txt"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Delete Mp4 Recording
- Endpoint:
/api/v2/vision-head/camera_manager/head/mp4/recordings/{filename} *(optional route)* - Function: No description provided.
- Method:
DELETE - Parameters:
filename(path,str)- Shell Command:
curl -X DELETE "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/recordings/example.txt" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/recordings/example.txt"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Get Mp4 Start
- Endpoint:
/api/v2/vision-head/camera_manager/head/mp4/start *(optional route)* - Function: No description provided.
- Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/start" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Get Mp4 Stop
- Endpoint:
/api/v2/vision-head/camera_manager/head/mp4/stop *(optional route)* - Function: No description provided.
- Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/stop" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/mp4/stop"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Get Camera Shm
- Endpoint:
/api/v2/vision-head/camera_manager/head/shm *(optional route)* - Function: No description provided.
- Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/shm" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/shm"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Get Snapshot
- Endpoint:
/api/v2/vision-head/camera_manager/head/snapshot *(optional route)* - Function: No description provided.
- Method:
GET - Parameters:
color(query,bool). Default:Query(True)depth(query,bool). Default:Query(True)- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/snapshot?color=true&depth=true" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/snapshot"
headers = {"Authorization": "Bearer <token>"}
params = {'color': True, 'depth': True}
response = requests.get(url, headers=headers, params=params, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):
Camera Manager Get Color
- Endpoint:
/api/v2/vision-head/camera_manager/head/snapshot/color *(optional route)* - Function: No description provided.
- Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/snapshot/color" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/vision-head/camera_manager/head/snapshot/color"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
307):